CVE-2013-1586

NameCVE-2013-1586
DescriptionThe fragment_set_tot_len function in epan/reassemble.c in Wireshark 1.6.x before 1.6.13 and 1.8.x before 1.8.5 does not properly determine the length of a reassembled packet for the DTLS dissector, which allows remote attackers to cause a denial of service (application crash) via a malformed packet.
SourceCVE (at NVD; LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2625-1
NVD severitylow (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
wireshark (PTS)wheezy (security), wheezy1.8.2-5wheezy18fixed
jessie1.12.1+g01b65bf-4+deb8u5fixed
jessie (security)1.12.1+g01b65bf-4+deb8u6fixed
stretch, sid2.0.3+geed34f0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
wiresharksource(unstable)1.8.6-1low
wiresharksourcesqueeze1.2.11-6+squeeze9lowDSA-2625-1
wiresharksourcewheezy1.8.2-5wheezy1low

Notes

Upstream bug: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8111
http://anonsvn.wireshark.org/viewvc?view=revision&revision=46999
http://anonsvn.wireshark.org/viewvc?view=revision&revision=47000

Search for package or bug name: Reporting problems